GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List tags GETAdd tag POSTRename tag PATCHDelete tag DELETE
Tags

Update persona PUT

Edit a buyer persona.

Add tag POST

Add a tag to one of the brand's tag lists.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Tags

List tags

GET
/brands/{brandId}/tags

List a brand's tags of one kind.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

kind*string

Which list the tag belongs to; each feature keeps its own tags

Value in"competitor""prompt"

Response Body

Tags sorted by name

application/json
  1. response
  1. response
  2. …
items*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags?kind=competitor'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ]}

Update persona PUT

Edit a buyer persona.

Add tag POST

Add a tag to one of the brand's tag lists.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags?kind=competitor'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    }
  ]
}